Bug 863602 - Problems with gtk3 windows
Problems with gtk3 windows
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hatina
Fedora Extras Quality Assurance
:
: 894655 905562 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 21:41 EDT by nucleo
Modified: 2016-05-31 21:31 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 11:19:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hard to read small list in maximized window (33.86 KB, image/png)
2012-10-05 21:41 EDT, nucleo
no flags Details
how it looks with gtk2 (31.59 KB, image/png)
2012-10-05 21:47 EDT, nucleo
no flags Details
expand widgets (5.87 KB, patch)
2012-12-04 02:18 EST, Samuel Sieb
no flags Details | Diff
Cpture Interfaces window (36.99 KB, image/png)
2013-01-24 07:23 EST, nucleo
no flags Details
Interfaces list using xfce 4.10 (35.80 KB, image/png)
2013-01-25 08:15 EST, Peter Hatina
no flags Details
Open capture file (53.01 KB, image/png)
2013-01-31 10:05 EST, nucleo
no flags Details

  None (edit)
Description nucleo 2012-10-05 21:41:08 EDT
Created attachment 622558 [details]
hard to read small list in maximized window

Description of problem:
wireshark built --with-gtk3 have problems with windows.

Version-Release number of selected component (if applicable):
wireshark-1.8.2-1.fc18.i686

Actual results:
Parts of some of maximized windows don't resided, so it is hard to read large lists such as in Statistics-> Endpoints (or Conversations or other windows).


Expected results:
If wireshark built with gtk2 this list resized in maximized window and looks more readable, so gtk3 windows should behave the same.

Additional info:
Also maximized state of main window not restored after wireshark restart (restored if built against gtk2).

So maybe for now it is makes sense to use gtk2 instead of gtk3 in wireshark?
Comment 1 nucleo 2012-10-05 21:47:58 EDT
Created attachment 622559 [details]
how it looks with gtk2
Comment 2 nucleo 2012-10-11 07:58:10 EDT
Endpoints window fixed in 1.8.3 but other windows such as Conversations stays unusable, maximized state still not remains after restart.
Comment 3 nucleo 2012-12-03 20:57:11 EST
The same problems in 1.8.4, for example in Conversations window, interfaces list in Capture options window and many others.
Comment 4 Samuel Sieb 2012-12-04 02:18:41 EST
Created attachment 657260 [details]
expand widgets

I created a patch that fixes all the non-resizing windows I could find.  Then I thought I should check upstream...  According to https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7377 it should be fixed in the latest version.
Comment 5 Samuel Sieb 2012-12-04 02:24:06 EST
Oh, I see that according to their numbering scheme, it's still an unstable build.  So, maybe we could use this patch until the next version is released?
Comment 6 nucleo 2012-12-04 06:00:39 EST
Why not switch back to gtk2 for now, until gtk3-related fixes available only in unstable branch?
Comment 7 Samuel Sieb 2012-12-04 15:06:34 EST
Not sure what you mean.  With the patch I posted, the current stable version in Fedora works fine for me.  I have no issues with it, other than getting used to the interface changes they made.
Comment 8 nucleo 2012-12-04 16:02:12 EST
If wireshark developers add gtk3-related fixes only in unstable 1.9 branch then this means that using gtk3 is not ready for current stable 1.8 branch.
Comment 9 nucleo 2012-12-08 17:00:13 EST
Is there fix for maximized state not saved after restart?
Comment 10 Peter Hatina 2013-01-16 03:55:45 EST
My apologies, I was kind of busy, but I am looking at this issue right now.
Comment 12 Peter Hatina 2013-01-22 06:16:29 EST
*** Bug 894655 has been marked as a duplicate of this bug. ***
Comment 13 nucleo 2013-01-22 08:07:57 EST
Most windows fixed in this build but there are still some issues.
Capture Interfaces default size too small (only one interface shown) but it can be resized.
Main windows maximized state still not saved after restart.
Options window opening/closing time much greater than with gtk2.
What advantages gives using gtk3 instead of gtk2?
Comment 14 Peter Hatina 2013-01-22 12:15:40 EST
Ok, I will consider to add some default window sizes. Wrt advantages, gtk2 toolkit becomes obsolete and the main development is focused on gtk3.
Comment 15 nucleo 2013-01-22 20:05:39 EST
Opening and closing Preferences window takes 5 seconds that is too much, with gtk2 this window opens much faster.
Unsaved main window maximized state after restart also annoying.
Comment 16 Peter Hatina 2013-01-23 05:46:22 EST
(In reply to comment #13)
> Most windows fixed in this build but there are still some issues.
> Capture Interfaces default size too small (only one interface shown) but it
> can be resized.

When I open the window Capture Interfaces, I can see all the available interfaces and do not need to resize the window or scroll down.

> Main windows maximized state still not saved after restart.

Fixed in next build.

> Options window opening/closing time much greater than with gtk2.

It looks like the delay is caused by the long list of Protocols in the left-hand listbox.

> What advantages gives using gtk3 instead of gtk2?

I haven't bumped the release number, because with this number, it will be in Fedora repo, sorry for that.

Try from koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4896206

or from my fedorapeople page:

http://phatina.fedorapeople.org/rpms/wireshark-1.8.4-2.fc19.src.rpm
http://phatina.fedorapeople.org/rpms/wireshark-1.8.4-2.fc19.x86_64.rpm
http://phatina.fedorapeople.org/rpms/wireshark-debuginfo-1.8.4-2.fc19.x86_64.rpm
http://phatina.fedorapeople.org/rpms/wireshark-devel-1.8.4-2.fc19.x86_64.rpm
http://phatina.fedorapeople.org/rpms/wireshark-gnome-1.8.4-2.fc19.x86_64.rpm

Try it out.
Comment 17 nucleo 2013-01-24 07:23:33 EST
Created attachment 686709 [details]
Cpture Interfaces window

Maximized state fixed now.

> It looks like the delay is caused by the long list of Protocols in the left-hand listbox.

Protocols list the same as with gtk2 but with gtk3 longer delay in opening preferences.
Comment 18 Peter Hatina 2013-01-25 08:15:36 EST
Created attachment 687463 [details]
Interfaces list using xfce 4.10

I have no issues displaying interfaces list, see the attachment.
Comment 19 Peter Hatina 2013-01-29 02:37:18 EST
I found the issue, fix is coming soon.
Comment 20 Peter Hatina 2013-01-29 06:49:53 EST
(In reply to comment #17)
> Created attachment 686709 [details]
> Cpture Interfaces window

Capture Interfaces window is fixed now.

> 
> Maximized state fixed now.
> 
> > It looks like the delay is caused by the long list of Protocols in the left-hand listbox.
> 
> Protocols list the same as with gtk2 but with gtk3 longer delay in opening
> preferences.

Try rpms from:

http://phatina.fedorapeople.org/rpms/wireshark-1.8.4-2.fc19.src.rpm
http://phatina.fedorapeople.org/rpms/wireshark-1.8.4-2.fc19.x86_64.rpm
http://phatina.fedorapeople.org/rpms/wireshark-debuginfo-1.8.4-2.fc19.x86_64.rpm
http://phatina.fedorapeople.org/rpms/wireshark-devel-1.8.4-2.fc19.x86_64.rpm
http://phatina.fedorapeople.org/rpms/wireshark-gnome-1.8.4-2.fc19.x86_64.rpm

There is no scratch-build, because in time of writing this message, koji was broken/down/whatever and I could not build wireshark there.
Comment 21 James Read 2013-01-30 19:53:18 EST
The RPMs from 2013-01-29 06:49:53 EST (comment #20) fix the issue of the "follow tcp stream" textbox not resizing the the size of the window for me. 

You may be able to resolve Bug 905562 as a dupe because of this.
Comment 22 Peter Hatina 2013-01-31 08:24:16 EST
*** Bug 905562 has been marked as a duplicate of this bug. ***
Comment 23 nucleo 2013-01-31 09:40:11 EST
Capture interfaces fixed in last build (I needed i686 build).
But I am still thinking that something should be done with 5 seconds delay in opening and closing preferences window.
Comment 24 nucleo 2013-01-31 10:05:33 EST
Created attachment 690998 [details]
Open capture file

Open capture file first time have normal size, but second time becomes too small.
Comment 25 Peter Hatina 2013-02-05 06:46:44 EST
Using latest rawhide (after today's update), I always get the Open Capture File window large enough, even if I try to open that window multiple times.

Wrt 5 seconds delay, we should file another bug to gtk+3.0.
Comment 26 nucleo 2013-02-13 22:19:37 EST
Don't know is this gtk3-related problem that entered Capture Filters history not saved in Edit Interface Settings window. There is dropdown list for history but it always inactive (especially after wireshark restart).
Comment 27 Alex Villacís Lasso 2013-02-18 11:31:28 EST
The package wireshark-gnome-1.8.5-2.fc18.x86_64 fixes the Follow TCP Stream window problem for me.
Comment 28 Jeff Morriss 2013-02-25 21:07:05 EST
Just upgraded to FC 18 and decided to try out the Fedora Wireshark build (normally I build my own).  Of course I run the Mate desktop.

Problem: when I select a field in Wireshark, the highlighted bytes (bottom pane) turns black-on-black.  This happens without a ~/.wireshark directory.

I'm putting it here because I suppose it's gtk3-related (all the gnome3 programs I try tend to display at least some things black-on-black).

My home-built Wireshark (current SVN, with GTK2 of course) does not exhibit the problem.
Comment 29 Jeff Morriss 2013-02-25 21:51:21 EST
(In reply to comment #28)
> My home-built Wireshark (current SVN, with GTK2 of course) does not exhibit
> the problem.

I just recompiled the current SVN with GTK3 and it, too, does not exhibit the problem.
Comment 30 Peter Hatina 2013-03-12 05:12:30 EDT
Thank you for your input, I will have a look at this problem.
Comment 31 Peter Hatina 2013-03-19 11:19:50 EDT
Stable branch 1.8.x of the Wireshark is not gtk3 ready, so it was reverted back to use gtk2 gui library.
Comment 32 nucleo 2013-03-19 21:57:47 EDT
Preferences window opened and closed much faster in gtk2 build than in gtk3.
But drop down "Capture filter" field history still not saved in "Edit Interface Settings" window.
Comment 33 Jeff Morriss 2013-04-03 11:29:21 EDT
(In reply to comment #32)
> Preferences window opened and closed much faster in gtk2 build than in gtk3.
> But drop down "Capture filter" field history still not saved in "Edit
> Interface Settings" window.

That is upstream (Wireshark) bug 7278:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7278

(The bug is still open as of today.)

Note You need to log in before you can comment on or make changes to this bug.